Upload file chunks
IMPORTANT NOTE
These APIs do not replace the existing v4 APIs yet, and currently only applies to newly uploaded assets still in Draft state (before publishing). Cannot be yet used for Assets that are in Asset Bank and Waiting room.
The request target is the Location response header returned by Upload file initialization. Carry the relevant header information across calls as shown below. After the last chunk is uploaded, the file is automatically finalized.
The
Location Header ValueURL is a placeholder for theLocationheader from the previous call.
Headers
Default:1.0.0
The combined length of the previously uploaded chunks. This value can be taken from the Upload-Offset response header of each preceding chunk request.
Default:application/offset+octet-stream
Body
application/offset+octet-stream
Body
Response
Response
Chunk accepted.
Authentication
Headers
Body
- missing protocol
Upload file initialization
IMPORTANT NOTE
These APIs do not replace the existing v4 APIs yet, and currently only applies to newly uploaded assets still in Draft state (before publishing). Cannot be yet used for Assets that are in Asset Bank and Waiting room.
This step actually starts uploading the file. Send this request to the signed uploadUrl returned by Create upload url. This initializes a resumable (tus) upload. Any file namings have to be base64 encoded/decoded.
The response headers - in particular the Location header - are required for the next call, Upload file chunks.
The
{uploadUrl}path parameter is a placeholder for the signed URL from the previous step.
Headers
Default:1.0.0
Total size of the file to upload, in bytes.
Comma-separated key <base64-value> pairs, e.g. filename ZXhhbXBsZS5wbmc=.
Response
Response
Upload initialized. Use the returned Location header for the chunk uploads.
Authentication
Headers
- missing protocol
Publish
IMPORTANT NOTE
These APIs do not replace the existing v4 APIs yet, and currently only applies to newly uploaded assets still in Draft state (before publishing). Cannot be yet used for Assets that are in Asset Bank and Waiting room.
Once the file is fully enriched and ready it can be published. Depending on the profile permissions of the user, the asset will go directly to the asset bank (upload assets) or to the waiting room (upload assets with mandatory approval)
Path Parameters
Body
application/json
Body
Optional publish options. If omitted, the asset is published with default settings (forcePublish = false).
PublishAssetInput
When true, forces publication of the asset even if non-blocking validation warnings are present. Defaults to false.
Default:false
Response
application/json
Response
Asset
Show Child Parameters
Show Child Parameters
Show Child Parameters
Allowed values:BGBSIBWF
Authentication
Path Parameters
Body
Asset enrichment
Add or update metadata, metaproperties, tags, autotags, embargoes, advanced rights, and relations on an asset before (or after) publishing.
Edit asset
IMPORTANT NOTE
These APIs do not replace the existing v4 APIs yet, and currently only applies to newly uploaded assets still in Draft state (before publishing). Cannot be yet used for Assets that are in Asset Bank and Waiting room.
Edit the core properties of an asset. Each property can individually be updated, without needing to send the rest.
Path Parameters
Body
application/json
Body
EditAssetInput
Response
application/json
Response
Asset
Show Child Parameters
Show Child Parameters
Show Child Parameters
Allowed values:BGBSIBWF